package com.ynet.life.credit.util;

import com.ynet.gene.log.GENELog;
import java.beans.IntrospectionException;
import java.beans.PropertyDescriptor;
import java.lang.reflect.InvocationTargetException;
import java.util.List;

/* loaded from: com_ynet_life_credit_util.jar:com/ynet/life/credit/util/ReflectUtil.class */
public class ReflectUtil {
    private static String CREDIT_COMPONENT = "【【反射信息】】";

    public static Object getMethod(Object obj, String field) throws Exception {
        try {
            Class clazz = obj.getClass();
            Object value = new PropertyDescriptor(field, clazz).getReadMethod().invoke(obj, new Object[0]);
            if (!(value instanceof String)) {
                if (value instanceof List) {
                    return value;
                }
            }
            return value;
        } catch (IllegalAccessException e) {
            throw new Exception(e);
        } catch (IllegalArgumentException e2) {
            throw new Exception(e2);
        } catch (SecurityException e3) {
            throw new Exception(e3);
        } catch (IntrospectionException unused) {
            return null;
        } catch (InvocationTargetException e4) {
            throw new Exception(e4);
        }
    }

    public static void setMethod(Object obj, String field, String value) {
        try {
            Class clazz = obj.getClass();
            new PropertyDescriptor(field, clazz).getWriteMethod().invoke(obj, value);
        } catch (IntrospectionException e) {
            GENELog.log(CREDIT_COMPONENT, GENELog.ERROR, 0, e.getMessage());
        } catch (IllegalAccessException e2) {
            GENELog.log(CREDIT_COMPONENT, GENELog.ERROR, 0, e2.getMessage());
        } catch (IllegalArgumentException e3) {
            GENELog.log(CREDIT_COMPONENT, GENELog.ERROR, 0, e3.getMessage());
        } catch (SecurityException e4) {
            GENELog.log(CREDIT_COMPONENT, GENELog.ERROR, 0, e4.getMessage());
        } catch (InvocationTargetException e5) {
            GENELog.log(CREDIT_COMPONENT, GENELog.ERROR, 0, e5.getMessage());
        }
    }
}
